Open Infrastructure - Task #6279

Implement different payment cycles for VMs
12/26/2018 09:49 PM - Nico Schottelius

Status: Rejected Start date: 12/26/2018
Priority: High Due date: 01/30/2019
Assignee: Mondi Ravi % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ So that we can release smaller VMs (they are too expensive to be charged individually)
* Might want to keep the balance in case it gets cancelled
o i.e. paid for 1 year, cancelled after 180 days, have xx chf in their balance

Tasks:
¢ Redefine payment options:
o define a price per hour as smallest amount
o define possible charging schedules (hourly, daily, monthly, yearly)

e Have a notion of a "balance"

I'd say mid complexity task. Maybe partially usable for a new developer.

History

#3 - 12/27/2018 07:53 PM - Nico Schottelius
- Description updated
- Due date set to 01/30/2019

- Status changed from New to Seen

#4 - 05/23/2019 02:44 PM - Nico Schottelius

- Project changed from 34 to Open Infrastructure

- Subject changed from Implement yearly payment for VMs to Implement different payment cycles for VMs
- Assignee changed from Nico Schottelius to Mondi Ravi

- Priority changed from Normal to High

| raised the priority to high, as we get more requests to change from monthly to more dynamic.

#5 - 06/24/2019 07:43 PM - Mirjana Rupar

Mondi, what is the status of this task, please?

#6 - 01/02/2024 02:02 PM - Nico Schottelius

- Status changed from Seen to Rejected
